import React, { useState, useEffect } from 'react';
import { useContainer, usePermissions, useGallery, useCamera, downloadImages } from '../main';
export const WithCapacitorCamera = ({ deep, containerLinkId: passedContainerLinkId, children }) => {
    const containerLinkIdFromHook = useContainer(deep);
    const [containerLinkId, setContainerLinkId] = useState(passedContainerLinkId || containerLinkIdFromHook);
    const [images, setImages] = useState([]);
    useEffect(() => {
        setContainerLinkId(passedContainerLinkId || containerLinkIdFromHook);
    }, [deep, passedContainerLinkId, containerLinkIdFromHook]);
    const { cameraPermissions, getPermissions } = usePermissions();
    const { galleryPhotos, pickPhotosFromGallery } = useGallery({ deep, containerLinkId });
    const { photos, newPhoto } = useCamera({ deep, containerLinkId });
    const loadImages = async () => {
        const fetchedImages = await downloadImages(deep);
        setImages(fetchedImages);
    };
    const childWithProps = React.cloneElement(children, {
        cameraPermissions,
        getPermissions,
        galleryPhotos,
        pickPhotosFromGallery,
        photos,
        newPhoto,
        loadImages,
        images,
        containerLinkId
    });
    return childWithProps;
};
