import { GalleryPhoto, GalleryImageOptions } from '@capacitor/camera';
import { DeepClient } from '@deep-foundation/deeplinks/imports/client.js';
/**
 * Represents the parameters for using the gallery.
 */
export interface IUseGalleryOptions {
    deep: DeepClient;
    containerLinkId: number;
    options?: GalleryImageOptions;
}
/**
 * Custom hook for using the gallery to pick photos and upload them.
 * @param {IUseGalleryOptions} params - The parameters for using the gallery.
 * @returns {Function} A function to pick photos from the gallery.
 */
export declare const useGallery: ({ deep, containerLinkId, options }: IUseGalleryOptions) => {
    galleryPhotos: GalleryPhoto[];
    pickPhotosFromGallery: () => Promise<void>;
};
